5.3.0-git
2014-10-02

[#5822] Set custom flags
Summary Set custom flags
Queue Ingo
Queue Version Git master
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester daviskingdom (at) gmail (dot) com
Created 2007-10-20 (2539 days ago)
Due
Updated 2014-05-06 (149 days ago)
Assigned
Resolved
Milestone
Patch No

History
2014-05-06 10:34:40 Jan Schneider Milestone ⇒
 
2011-06-27 16:26:49 Jan Schneider Summary ⇒ Set custom flags
 
2011-01-27 16:19:38 Michael Rubinsky Comment #8
Milestone ⇒ 2.1
Reply to this comment
Not a showstopper for the H4 release. Bump to Ingo 2.1
2010-01-13 00:18:15 CVS Commit Comment #7 Reply to this comment
2009-12-23 09:50:37 Jan Schneider Comment #6 Reply to this comment
That's helpful too, for setting arbitrary flags in Ingo.
But the original purpose of this request I rather envision adding a 
new custom default flag, e.g. "Color" that takes a RGB hex value 
that's being set by Ingo and used by IMP.
2009-12-23 05:51:59 Michael Slusarz Comment #5 Reply to this comment
The IMP API code needed to implement this should now be present 
(namely flagList, which will provide the mapping of IMP-defined flags 
to the corresponding IMAP flags).
2009-12-22 20:49:02 CVS Commit Comment #4 Reply to this comment
2009-12-21 18:35:09 Jan Schneider Comment #3
Milestone ⇒ 2
Version ⇒ Git master
Reply to this comment
Now that IMP supports setting and retrieving custom headers, this 
could easily be implemented.
2007-10-21 10:12:02 Jan Schneider Comment #2
State ⇒ Accepted
Reply to this comment
How likely is it to added that functionality to INGO?
Unlikely in any near future. This would ideally be done through custom 
IMAP flags, but there is no support for that in PHP's imap extension.

Alternatively we would have to add a custom message header like the 
fetchmail code does. But that would have to be done through the filter 
scripting backends, and not all of them support this at all.
2007-10-20 05:30:34 daviskingdom (at) gmail (dot) com Comment #1
State ⇒ New
Priority ⇒ 1. Low
Type ⇒ Enhancement
Summary ⇒ Color Coding Email
Queue ⇒ Ingo
Reply to this comment
We are switching over from squirrelmail and there was a popular plugin 
in that system.  This plugin allowed you, via rules, to assign color 
codes to emails based on sender, etc.



How likely is it to added that functionality to INGO?